package be.iminds.ilabt.jfed.experimenter_gui.editor.events;

import be.iminds.ilabt.jfed.experimenter_gui.editor.ModelRspecEditor;
import be.iminds.ilabt.jfed.rspec.model.javafx_impl.FXRspecNode;
import javafx.stage.Window;

/**
 * User: twalcari
 * Date: 5/22/2015
 * Time: 09:53
 */
public class ShowNodePropertiesEvent extends ExperimentEditorEvent {

    private final FXRspecNode node;

    public ShowNodePropertiesEvent(FXRspecNode node, ModelRspecEditor modelRspecEditor, Window parentWindow) {
        super(modelRspecEditor, parentWindow);
        this.node = node;
    }

    public FXRspecNode getNode() {
        return node;
    }
}
